using System;
using System.Net;

internal sealed class Delegate590 : MulticastDelegate
{
	public extern IPHostEntry Invoke(string string_0);

	public static IPHostEntry smethod_0(string string_0, Delegate590 delegate590_1)
	{
		return delegate590_1(string_0);
	}

	public extern Delegate590(object object_0, IntPtr intptr_0);

	static Delegate590()
	{
		Class10.smethod_13(typeof(Delegate590).TypeHandle);
	}

	internal static Delegate590 delegate590_0;
}
